Index: trunk/sources/HeuristicLab.Problems.Instances/3.3/ClassDiagram1.cd
===================================================================
--- branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/ClassDiagram1.cd	(revision 7548)
+++ 	(revision )
@@ -1,96 +1,0 @@
-﻿<?xml version="1.0" encoding="utf-8"?>
-<ClassDiagram MajorVersion="1" MinorVersion="1">
-  <Class Name="HeuristicLab.Problems.Instances.ProblemInstanceProvider&lt;TInstance&gt;" Collapsed="true" BaseTypeListCollapsed="true">
-    <Position X="0.5" Y="5.5" Width="2.75" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAIAgAAAAAAAAAAQAAAAAAAAAgAACAAAAEUA=</HashCode>
-      <FileName>ProblemInstanceProvider.cs</FileName>
-    </TypeIdentifier>
-    <Lollipop Position="0.2" Collapsed="true" />
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.ATSPInstance" Collapsed="true">
-    <Position X="4" Y="1.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAIgAAAAAAAAAAQAIAEAQABAAAAAAAAAAAA=</HashCode>
-      <FileName>Instances\ATSPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.CTAPInstance" Collapsed="true">
-    <Position X="4" Y="2.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAEAAAAABAgAAAAAAAAgAQAAAMAQAAAAAAIAAAAIAA=</HashCode>
-      <FileName>Instances\CTAPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.CVRPInstance" Collapsed="true">
-    <Position X="4" Y="3.25" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAIAAAAAAKgAAAAAAAAAAQCIAEAQABAAAAAAIAAAAA=</HashCode>
-      <FileName>Instances\CVRPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.GQAPInstance" Collapsed="true">
-    <Position X="4" Y="4" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAEAAAAAACgAAAAAAIAAAQAAAFAAABAAEAAAAgAAkA=</HashCode>
-      <FileName>Instances\GQAPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.QAPInstance" Collapsed="true">
-    <Position X="4" Y="4.75" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>AAAEAAAAAAAgAAAAAAAAAAQAAAEAQABAAEAAAAAAAAA=</HashCode>
-      <FileName>Instances\QAPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Class Name="HeuristicLab.Problems.Instances.TSPInstance" Collapsed="true">
-    <Position X="4" Y="5.5" Width="1.5" />
-    <TypeIdentifier>
-      <HashCode>ACAIAABAAAIgAAAAAAAAAAQAIAFIQABAACAAAACQACA=</HashCode>
-      <FileName>Instances\TSPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Class>
-  <Interface Name="HeuristicLab.Problems.Instances.IInstanceDescriptor" Collapsed="true">
-    <Position X="3.5" Y="0.5" Width="2.25" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAgAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAA=</HashCode>
-      <FileName>IInstanceDescriptor.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Problems.Instances.IConsumable&lt;TInstance&gt;">
-    <Position X="6.25" Y="0.5" Width="3.25" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIAAAAA=</HashCode>
-      <FileName>IConsumable.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Problems.Instances.IProblemInstanceProvider">
-    <Position X="0.75" Y="0.5" Width="2.25" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAIAgAAAAAAAAAAQAAAAAAAAAAAAAAAAAAEA=</HashCode>
-      <FileName>IProblemInstanceProvider.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Interface Name="HeuristicLab.Problems.Instances.IProblemInstanceProvider&lt;TInstance&gt;">
-    <Position X="0.5" Y="2.75" Width="2.75" />
-    <TypeIdentifier>
-      <HashCode>AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAACAAAAEQA=</HashCode>
-      <FileName>IProblemInstanceProvider.cs</FileName>
-    </TypeIdentifier>
-  </Interface>
-  <Enum Name="HeuristicLab.Problems.Instances.CVRPDistanceMeasure" Collapsed="true">
-    <Position X="6.25" Y="3.25" Width="2.25" />
-    <TypeIdentifier>
-      <HashCode>ggACAAAAAAAAAABBAAAAAAAAAACAQAAAAAAAQAAAAAA=</HashCode>
-      <FileName>Instances\CVRPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Enum>
-  <Enum Name="HeuristicLab.Problems.Instances.TSPDistanceMeasure" Collapsed="true">
-    <Position X="6.25" Y="5.5" Width="2.25" />
-    <TypeIdentifier>
-      <HashCode>ggACAAAAAAAAAABBAAAAAAAAAACAQAAAAAAAQAAAAAA=</HashCode>
-      <FileName>Instances\TSPInstance.cs</FileName>
-    </TypeIdentifier>
-  </Enum>
-  <Font Name="Segoe UI" Size="9" />
-</ClassDiagram>
Index: trunk/sources/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj
===================================================================
--- branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 7548)
+++ trunk/sources/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 7558)
@@ -37,13 +37,72 @@
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <CodeAnalysisLogFile>..\..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>true</CodeAnalysisIgnoreBuiltInRules>
+    <CodeAnalysisFailOnMissingRules>false</CodeAnalysisFailOnMissingRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <CodeAnalysisLogFile>..\..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>false</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
+    <CodeAnalysisFailOnMissingRules>false</CodeAnalysisFailOnMissingRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <CodeAnalysisLogFile>..\..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>true</CodeAnalysisIgnoreBuiltInRules>
+    <CodeAnalysisFailOnMissingRules>false</CodeAnalysisFailOnMissingRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <CodeAnalysisLogFile>..\..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>false</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
   <ItemGroup>
-    <Reference Include="HeuristicLab.Common-3.3">
-      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Common-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
-    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
-      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
-      <Private>False</Private>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
@@ -51,5 +110,4 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="ClassDiagram1.cd" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="IExportable.cs" />
@@ -70,4 +128,14 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
+      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
+      <Name>HeuristicLab.Common-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
+    </ProjectReference>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: trunk/sources/HeuristicLab.Problems.Instances/3.3/IExportable.cs
===================================================================
--- branches/GeneralizedQAP/HeuristicLab.Problems.Instances/3.3/IExportable.cs	(revision 7548)
+++ trunk/sources/HeuristicLab.Problems.Instances/3.3/IExportable.cs	(revision 7558)
@@ -21,6 +21,6 @@
 
 namespace HeuristicLab.Problems.Instances {
-  public interface IExportable<TInstance> {
-    void ExportTo(TInstance instance);
+  public interface IExportable<TData> {
+    void ExportTo(TData data);
   }
 }
